Doctor Languages
Function-calling namespace: doctorLanguages
- Base URL:
https://api.aivida.in - Engine endpoint:
POST /api - Auth: Stack token middleware enabled in
optionalmode. - Send token in header:
x-stack-access-token: <access_token>(orAuthorization: Bearer <access_token>). - In
optionalmode: no token is allowed; invalid token is rejected with401.
list
Source: backend/endpoints/doctor-languages/list
Input Fields
| Field | Type | Required | Constraints |
|---|---|---|---|
page | integer | No | - |
pageSize | integer | No | - |
search | string | No | - |
limit | integer | No | - |
cursor | string | No | - |
Example Request
curl -X POST https://api.aivida.in/api \
-H "Content-Type: application/json" \
-H "x-stack-access-token: <access_token_optional>" \
-d '{
"namespace": "doctorLanguages",
"apiName": "list",
"data": {
"page": 1,
"pageSize": 1,
"search": "value",
"limit": 1,
"cursor": "value"
}
}'Example Response
{ "status": "ok", "data": {} }